function checkQ1(formId)
        {
          var myForm = document.querySelector('#'+formId);

          var correctArray = myForm.getElementsByClassName('correct');

          for (i=0; i<correctArray.length; i++)
          {
            correctArray[i].style.backgroundColor = "green";
          }

          var droplists = myForm.getElementsByTagName('select');

          for (i=0; i<droplists.length; i++)
          {
            droplists[i].style.borderRadius = "5px";

            if (droplists[i].selectedIndex == correctArray[i].index)
              droplists[i].style.backgroundColor = "rgb(200, 255, 200)";
              else
                droplists[i].style.backgroundColor = "rgb(255, 160, 160)";
          }

          var feedbackBlock = myForm.getElementsByClassName('feedback')[0];
          feedbackBlock.style.display = "block";
        }

          
        function checkQ2(e)
        {
          var connectedRadioButtons = document.getElementsByName(e.name);

          for (i=0; i<connectedRadioButtons.length; i++)
          {
            var parent = connectedRadioButtons[i].parentElement;

            if (parent.classList.contains("correct"))
              parent.style.backgroundColor = "rgb(200, 255, 200)";
            else
              parent.style.backgroundColor = "rgb(255, 160, 160)";

          connectedRadioButtons[i].disabled = "true";
          }
        }


        function showFeedbackWithButton(feedbackId, clickedButton)
        {
          var buttonElement = clickedButton;
          buttonElement.style.display = "none";

          var feedbackBlock = document.getElementById(feedbackId);

          feedbackBlock.style.display = "block";
        }